<script>

export default {
    props: ['apiKey'],

    data() {
        return {
            apiKey: this.apiKey,
            movie: Object,
            movie_id: this.value,
            error: false
        };
    },


    methods: {
        async getData() {
            axios.get("https://api.themoviedb.org/3/movie/" + this.movie_id + '?api_key=' + this.apiKey + '&language=en-US')
                .then(res => {
                    this.movie = res.data
                    this.error = false
                }).catch(error => {
                    this.error = true

            })
        },
    },
};
</script>

<script setup>
import AppLayout from "@/Layouts/AppLayout.vue";

</script>

<template>
    <div id="IndexComponent">
        <AppLayout title="Dashboard">
            <template #header>
                <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                    Movies
                </h2>

                <form @submit.prevent="getData" class="w-full max-w-sm">
                    <div class="flex items-center border-b border-teal-500 py-2">
                        <input v-model="movie_id"
                            class="appearance-none bg-transparent border-none w-full text-gray-700 mr-3 py-1 px-2 leading-tight focus:outline-none"
                            type="text" placeholder="id of movie" aria-label="Full name">
                        <button type="submit"
                                class="flex-shrink-0 bg-teal-500 hover:bg-teal-700 border-teal-500 hover:border-teal-700 text-sm border-4 text-white py-1 px-2 rounded">
                            OK
                        </button>
                    </div>
                </form>
                <div style="color:#e50000" v-show="error"> No movie linked with this id</div>
            </template>


            <div class="container px-5 py-24 mx-auto">
                <div class="lg:w-4/5 mx-auto flex flex-wrap">

                    <img class="lg:w-1/2 w-full object-cover object-center rounded border border-gray-200" :src="`https://image.tmdb.org/t/p/original${movie.poster_path}`">
                    <div class="lg:w-1/2 w-full lg:pl-10 lg:py-6 mt-6 lg:mt-0">
                        <h2 class="text-sm title-font text-gray-500 tracking-widest">NAME OF MOVIE</h2>
                        <h1 class="text-gray-900 text-3xl title-font font-medium mb-1">{{ movie.title }}</h1>
                        <div class="flex mb-4">


                        </div>

                        <p class="leading-relaxed">{{movie.overview }}</p>

                        <div class="flex mt-6 items-center pb-5 border-b-2 border-gray-200 mb-5">

                        </div>

                        <div class="flex">
                            <span class="title-font font-medium text-2xl text-gray-900">Release date : {{ movie.release_date }}</span>

                        </div>
                    </div>
                </div>
            </div>

        </AppLayout>
    </div>
</template>



